
Redmine - Defect #14752

h5 confuses wiki editor

2013-08-22 21:11 - Tyler P

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

This is a bug in Redmine that should probably be passed along to the open source developers or might be fixed by updating our

Redmine to a newer version, if there is one.

Reproduce:

1. Put an h5 in a wiki page, e.g.

h2. hi what's new

blah blah

h5. I'm 5 years old

blah

h3. Hi

lorem ipsum

and save.

2. Click the pencil next to the h3 to edit that section.    

Expected:

The editor should disply

h3. Hi

lorem ipsum

Actual:

The editor displays the h5 section.    

Notes:

Probably because the h5 is not dynamically assigned a pencil button like the other headers are.

Probably applies to h6 and h7 (if there is an h7) as well.

Related issues:

Is duplicate of Redmine - Defect #11789: Edit section links broken with h5/h6... Closed

History

#1 - 2013-09-01 03:14 - Toshi MARUYAMA

- Category set to Wiki

#2 - 2013-09-01 03:15 - Toshi MARUYAMA

- Category changed from Wiki to Text formatting

#3 - 2016-04-13 16:29 - Marcin Szewczyk

This seems to be a duplicate of issue #11789.
https://www.redmine.org/issues/11789


#4 - 2016-05-11 10:40 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Invalid

Marcin Szewczyk wrote:

This seems to be a duplicate of issue #11789.

 Indeed.

#5 - 2016-05-11 10:40 - Toshi MARUYAMA

- Is duplicate of Defect #11789: Edit section links broken with h5/h6 headings added
